import * as dntShim from "../../../_dnt.shims.js";
import { Peer } from "../../peer/peer.js";
import { Replica } from "../../replica/replica.js";
import { ShareAddress } from "../../util/doc-types.js";
import { IServerExtension } from "./extension.js";
interface ExtensionServerSettingsOpts {
    configurationShare: ShareAddress;
    onCreateReplica: (configurationShareAddress: string) => Replica;
}
export declare class ExtensionServerSettings implements IServerExtension {
    private configReplica;
    private onCreateReplica;
    constructor(opts: ExtensionServerSettingsOpts);
    register(peer: Peer): Promise<void>;
    handler(_req: dntShim.Request): Promise<dntShim.Response | null>;
}
export {};
